Subject: RE: A question about requirements

From: [email-masked]
Date: Tue, 23 Sep 2003 09:29:41 -0400

RFC 3347 makes similar use of RFC 2119, but this usage may not
be as well explained as RFC 2989.  A well-written requirements
document like this can pick up where the WG charter leaves off
in helping to keep the WG out of the weeds.

Thanks,
--David

> -----Original Message-----
> From: Bernard Aboba [mailto:[email-masked]] 
> Sent: Tuesday, September 23, 2003 8:24 AM
> To: Lars-Erik Jonsson (LU/EAB)
> Cc: 'Harald Tveit Alvestrand'; 'Avri Doria'; [email-masked]
> Subject: RE: A question about requirements
> 
> 
> > I agree with you when considering protocols published as
> > informational, i.e. "standards-track type" documents. However,
> > for non-protocols, e.g. "requirements", which was the origin
> > of this thread, I do not think the upper-case words can be
> > used based on 2119.
> >
> > But if the IESG thinks it is ok, I have no problem with that...=)
> 
> Here's an excerpt from RFC 2989:
> 
> 1.1.  Requirements language
> 
>    In this document, the key words "MAY", "MUST, "MUST NOT", 
> "optional",
>    "recommended", "SHOULD", and "SHOULD NOT", are to be interpreted as
>    described in [RFC2119].
> 
>    Please note that the requirements specified in this document are to
>    be used in evaluating protocol submissions.  As such, the
>    requirements language refers to capabilities of these 
> protocols; the
>    protocol documents will specify whether these features are 
> required,
>    recommended, or optional.  For example, requiring that a protocol
>    support confidentiality is NOT the same thing as requiring that all
>    protocol traffic be encrypted.
> 
>    A protocol submission is not compliant if it fails to 
> satisfy one or
>    more of the MUST or MUST NOT requirements for the capabilities that
>    it implements.  A protocol submission that satisfies all the MUST,
>    MUST NOT, SHOULD and SHOULD NOT requirements for its 
> capabilities is
>    said to be "unconditionally compliant"; one that satisfies all the
>    MUST and MUST NOT requirements but not all the SHOULD or SHOULD NOT
>    requirements for its protocols is said to be "conditionally
>    compliant."
> 
>